### Method

# Vips Image webpsave_target

#### Declaration [src]

    int
    vips_webpsave_target (
      VipsImage* in,
      VipsTarget* target,
      ...
    )

#### Description [src]

As `vips_webpsave()`, but save to a target.

Optional arguments

- `Q`: `gint`, quality factor
- `lossless`: `gboolean`, enables lossless compression
- `preset`: `VipsForeignWebpPreset`, choose lossy compression preset
- `smart_subsample`: `gboolean`, enables high quality chroma subsampling
- `smart_deblock`: `gboolean`, enables auto-adjusting of the deblocking filter
- `near_lossless`: `gboolean`, preprocess in lossless mode (controlled by Q)
- `alpha_q`: `gint`, set alpha quality in lossless mode
- `effort`: `gint`, level of CPU effort to reduce file size
- `target_size`: `gint`, desired target size in bytes
- `passes`: `gint`, number of entropy-analysis passes
- `min_size`: `gboolean`, minimise size
- `mixed`: `gboolean`, allow both lossy and lossless encoding
- `kmin`: `gint`, minimum number of frames between keyframes
- `kmax`: `gint`, maximum number of frames between keyframes

See also

`vips_webpsave()`.

This method is not directly available to language bindings.

#### Parameters

`target`

  Type: `VipsTarget`

  Save image to this target.

  The data is owned by the caller of the method.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.